### config.py ###

##################################################################
# Driver Path configurations for clm_was_config.py (if required) #
# When replacing None, ensure that the driver path is enclosed   #
# in quotation marks                                             #
##################################################################

oracleDriverPath=None
sqlDriverPath=None
db2zDriverPath=None


####################################################################################################
# Security role mapping configuration for clm_deploy.py or clm_deploy_distributed.py (if required) #
# CCM, JTS, and QM will use the values specified in the default role mapping, unless a custom      #
# mapping is created below. An example of how to override the default role mapping is shown below. #
#                                                                                                  #
# When replacing None with the group mapping, ensure that the value is enclosed in quotations      #
####################################################################################################

RoleMapping = {
     'default' : {
        'JazzAdmins' : {
            'mappedUser': None,
            'mappedGroup': None,
            'AllowAccessToEveryone':'No',
            'AllowAccessToAllAuthenticatedUsers':'No'
        },
        'JazzUsers' : {
            'mappedUser': None,
            'mappedGroup': None,
            'AllowAccessToEveryone':'No',
            'AllowAccessToAllAuthenticatedUsers':'No'
        },
        'JazzGuests' : {
            'mappedUser':None,
            'mappedGroup': None,
            'AllowAccessToEveryone':'No',
            'AllowAccessToAllAuthenticatedUsers':'No'
        },
        'JazzProjectAdmins' : {
            'mappedUser': None,
            'mappedGroup': None,
            'AllowAccessToEveryone':'No',
            'AllowAccessToAllAuthenticatedUsers':'No'
        },
        'JazzDebug' : {
            'mappedUser':None,
            'mappedGroup': None,
            'AllowAccessToEveryone':'No',
            'AllowAccessToAllAuthenticatedUsers':'No'
        }
    },
# Example of how to override the default values
#     'ccm' : {
#        'JazzAdmins' : {
#            'mappedUser': None,
#            'mappedGroup': "cn=JazzAdmins,cn=members,o=ldap.server.com",
#            'AllowAccessToEveryone':'No',
#            'AllowAccessToAllAuthenticatedUsers':'No'
#         },
#        'JazzUsers' : {
#            'mappedUser': None,
#            'mappedGroup': "cn=JazzUsers,cn=members,o=ldap.server.com",
#            'AllowAccessToEveryone':'No',
#            'AllowAccessToAllAuthenticatedUsers':'No'
#         },
#        'JazzGuests' : {
#            'mappedUser': None,
#            'mappedGroup': "cn=JazzGuests,cn=members,o=ldap.server.com",
#            'AllowAccessToEveryone':'No',
#            'AllowAccessToAllAuthenticatedUsers':'No'
#         },
#        'JazzProjectAdmins' : {
#            'mappedUser': None,
#            'mappedGroup': "cn=JazzProjectAdmins,cn=members,o=ldap.server.com",
#            'AllowAccessToEveryone':'No',
#            'AllowAccessToAllAuthenticatedUsers':'No'
#         },
#        'JazzDebug' : {
#            'mappedUser': None,
#            'mappedGroup': "cn=JazzDebug,cn=members,o=ldap.server.com",
#            'AllowAccessToEveryone':'No',
#            'AllowAccessToAllAuthenticatedUsers':'No'
#         }
#     },
}